## net.i2p.client.streaming
Class StreamSinkSend

    java.lang.Object
      net.i2p.client.streaming.StreamSinkSend

    public class StreamSinkSend

extends java.lang.Object

Simple streaming lib test app that connects to a given destination and sends the contents of a file, then disconnects. See the `main(java.lang.String[])`

Constructor Summary
`StreamSinkSend(java.lang.String filename, int writeDelayMs, java.lang.String serverDestFile)` Build the client but don't fire it up.

Method Summary
`static void` `main(java.lang.String[] args)` Fire up the client.
`void` `runClient()` Actually connect and run the client - this call blocks until completion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamSinkSend

    public StreamSinkSend(java.lang.String filename,
                          int writeDelayMs,
                          java.lang.String serverDestFile)

  Build the client but don't fire it up.

  Parameters:
    `filename` - file to send
    `writeDelayMs` - how long to wait between each .write (0 for no delay)
    `serverDestFile` - file containing the StreamSinkServer's binary Destination

Method Detail

### runClient

    public void runClient()

  Actually connect and run the client - this call blocks until completion.

### main

    public static void main(java.lang.String[] args)

  Fire up the client. `Usage: StreamSinkClient sendFile writeDelayMs serverDestFile`
  - sendFile: filename to send
  - writeDelayMs: how long to wait between each .write (0 for no delay)
  - serverDestFile: file containing the StreamSinkServer's binary Destination